Overview page for some projects will not open - internal error 500 (execution expired)

2012-07-12 07:47 - Pawel Orzechowski

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.4.4

Description

Suddenly without any reason after trying to open overview page of most of our projects one gets following error:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

 There was no reconfiguration of redmine or operating system. Other pages can be opened normally.

Restarting redmine, database or even whole system does not help.

Closing apache and running redmine with WEBrick does not help either.

The environment is:

OS: Ubuntu 10.04 LTS

database manager: MySQL 5.1.63

Ruby 1.8.7 (x86_64)

Rails 2.3.14

Redmine 1.4.4 (though it happened also two or three times also on 1.0.3 after some time problem disappeared without any

reason)

History

#1 - 2012-07-12 09:39 - Etienne Massip

Call to hook.rb in the stack trace makes think of a plugin issue.

#2 - 2012-07-12 22:05 - Pawel Orzechowski

Is there a way to track which plugin it causes? I have several of them:

Author box 0.0.2

Redmine Auto Watch 1.0.0

BigBlueButton plugin 0.1.2

Redmine Charts Plugin 0.1.0

Default queries per project Plugin  0.1.1

Redmine Light Box 0.0.1

Redmine plugin views revisions plugin 0.0.1

Screenshot Paste 1.1.1

Redmine Theme Changer plugin  0.0.5

Single Project Forward 0.1

In the meantime problem suddenly disappeared, without any reason, again:-(

#3 - 2012-07-12 23:30 - Etienne Massip

Well the error appears when displaying the project overview page and the hook calls some net related code, so I'd try the "Single Project Forward" as

a first guess based on its name =)
#4 - 2012-07-13 11:27 - Pawel Orzechowski

As I have written the problem disappeared without any reason so now removing the plugin will not change anything.

Is there a procedure to trace the plugin itself (some log or debugging while an error in redmine exists)?

#5 - 2012-07-13 15:33 - Etienne Massip

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

I'll close the issue for now, please reopen it if it triggers again and you eventually think it could be a Redmine core issue.

#6 - 2012-07-13 17:28 - Pawel Orzechowski

Well, I will not say I am glad you close it. Could you please just answer to my question eg. in note5

#7 - 2012-07-13 18:17 - Pawel Orzechowski

I have opened a forum discussion concerning this case.

#8 - 2012-07-13 18:22 - Etienne Massip

Pawel Orzechowski wrote:

Is there a procedure to trace the plugin itself (some log or debugging while an error in redmine exists)?

 Not really, you could set a different log level for the whole application (in config/environments/production.rb) but I doubt it could help you much more.

Check the plugin issue tracker, you might be lucky.
